org.apache.cassandra.io.compress

## Interface ICompressor

- All Known Implementing Classes:
    DeflateCompressor, LZ4Compressor, SnappyCompressor

      public interface ICompressor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ICompressor.WrappedArray` A simple wrapper of a byte array.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compress(byte[] input, int inputOffset, int inputLength, ICompressor.WrappedArray output, int outputOffset)`
    `int` | `initialCompressedBufferLength(int chunkLength)`
    `java.util.Set<java.lang.String>` | `supportedOptions()`
    `int` | `uncompress(byte[] input, int inputOffset, int inputLength, byte[] output, int outputOffset)`

- - ### Method Detail

    - #### initialCompressedBufferLength

          int initialCompressedBufferLength(int chunkLength)

    - #### compress

          int compress(byte[] input,
                     int inputOffset,
                     int inputLength,
                     ICompressor.WrappedArray output,
                     int outputOffset)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### uncompress

          int uncompress(byte[] input,
                       int inputOffset,
                       int inputLength,
                       byte[] output,
                       int outputOffset)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### supportedOptions

          java.util.Set<java.lang.String> supportedOptions()

Copyright © 2014 The Apache Software Foundation